> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/hu/api-dokumentacio/geopard-api-keresek-attekintese/88.-mutacio-zonesmap-exportalasa-tomoritett-shapefile-kent.md).

# 88. Mutáció: ZonesMap exportálása tömörített Shapefile-ként

Hozzon létre egy zip archívumot a kiválasztott "ZonesMap" shapefile-ként történő exportálásával.

{% hint style="info" %}
Az archívum \*.shp, \*.shx, \*.prj, \*.dbf fájlokat tartalmaz EPSG:4326 vetületi rendszerben.
{% endhint %}

### 1. Előkészítés

* A attributum `vectorAnalysisMaps` tartalmaz egy tömböt ZonesMaps (VectorAnalysisMaps) objektumokból, amelyeket exportálni kell. Minden ilyen objektum egy párt tartalmaz `fieldUuid` (kapcsolat a kiválasztott táblához) és `uuid` (kapcsolat a kiválasztott ZonesMap-hez).
* A logikai (boolean) attribútum `asMultiGeometry` meghatározza, hogy a zónák exportálása `Poligonokként` vagy `MultiPoligonokként` (ha beállítva `true` ).
* A logikai (boolean) attribútum `onlyProductColumns` meghatározza, hogy csak a termékoszlopok (RX) szerepeljenek-e a shapefile-ban (amikor `true`). Ellenkező esetben minden statisztikai attribútum és zónaazonosító oszlopként szerepel majd.
* A attributum `archiveName` tartalmazza a generált zip archívum nevét.
* A attributum `filePostfix` lehetővé teszi egyedi postfixek hozzáadását az exportált fájlokhoz és az archívumhoz.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation exportData {
  exportData(
    bemenet: {
      filePostfix:"_GP" 
      vectorAnalysisMaps:[
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        },
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        }
      ]
      asMultiGeometry:true 
      onlyProductColumns:true 
      archiveName:"ArchivedZonesMaps"
    }
  ) {
    archiveUrl
    
    zippedVectorAnalysisMaps {
      uuid
      fieldUuid
      status
    }
    ignoredVectorAnalysisMaps  {
      uuid
      fieldUuid
      status
    } 
  }
}
```

{% endcode %}

### 2. Töltse le a létrehozott archívumot

A GraphQL lekérdezés végrehajtása után lehetséges letölteni azt a használatával `curl` vagy hasonló módszerrel.

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<archiveUrl>' --compressed >> '<archiveUrl>'
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/hu/api-dokumentacio/geopard-api-keresek-attekintese/88.-mutacio-zonesmap-exportalasa-tomoritett-shapefile-kent.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
